### Hierarchy

- Router

## Index

### Properties

- _compDiv
- _pageContext
- _url
- change
- dataJson
- el
- hash
- level
- routerLinks
- routes
- state
- targetSelector

### Methods

- activateRoute
- addClass
- componentDidLoad
- componentDidUpdate
- deleteRouterClasses
- getState
- page
- postRender
- removeClass
- render
- url
- urlParamsToUrl

## Properties

### _compDiv

_compDiv: any

- Defined in router/router.tsx:9

### _pageContext

_pageContext: any

- Defined in router/router.tsx:10

### _url

_url: string = "/"

- Defined in router/router.tsx:11

### change

change: EventEmitter

- Defined in router/router.tsx:197

### dataJson

dataJson: string

- Defined in router/router.tsx:17

### el

el: HTMLElement

- Defined in router/router.tsx:13

### hash

hash: string = ""

- Defined in router/router.tsx:18

### level

level: number

- Defined in router/router.tsx:19

### routerLinks

routerLinks: any[]

- Defined in router/router.tsx:16

### routes

routes: any[] = []

- Defined in router/router.tsx:15

### state

state: any

- Defined in router/router.tsx:14

### targetSelector

targetSelector: string

- Defined in router/router.tsx:20

## Methods

### activateRoute

- activateRoute(): void

- - Defined in router/router.tsx:74

  #### Returns void

### addClass

- addClass(el: HTMLElement, className: string): void

- - Defined in router/router.tsx:219

  #### Parameters

  - ##### el: HTMLElement

  - ##### className: string

  #### Returns void

### componentDidLoad

- componentDidLoad(): void

- - Defined in router/router.tsx:22

  #### Returns void

### componentDidUpdate

- componentDidUpdate(): void

- - Defined in router/router.tsx:31

  #### Returns void

### deleteRouterClasses

- deleteRouterClasses(): void

- - Defined in router/router.tsx:159

  #### Returns void

### getState

- getState(): Promise<any>

- - Defined in router/router.tsx:215

  #### Returns Promise<any>

### page

- page(): Promise<any>

- - Defined in router/router.tsx:210

  #### Returns Promise<any>

### postRender

- postRender(): void

- - Defined in router/router.tsx:35

  #### Returns void

### removeClass

- removeClass(el: HTMLElement, className: string): void

- - Defined in router/router.tsx:226

  #### Parameters

  - ##### el: HTMLElement

  - ##### className: string

  #### Returns void

### render

- render(): any

- - Defined in router/router.tsx:233

  #### Returns any

### url

- url(url: any): Promise<string>

- - Defined in router/router.tsx:201

  #### Parameters

  - ##### url: any

  #### Returns Promise<string>

### urlParamsToUrl

- urlParamsToUrl(url: any): any

- - Defined in router/router.tsx:174

  #### Parameters

  - ##### url: any

  #### Returns any